> ## Documentation Index
> Fetch the complete documentation index at: https://docs.suave.money/llms.txt
> Use this file to discover all available pages before exploring further.

# Cross-chain swap routes

> Get cross-chain routes between tokens



## OpenAPI

````yaml POST /v1/routes
openapi: 3.0.0
info:
  title: Suave API
  version: 0.0.1
servers:
  - url: https://checkout.suave.money
security: []
paths:
  /v1/routes:
    servers:
      - url: https://api.suave.ag
    post:
      description: Get cross-chain routes between tokens
      operationId: GetRoute
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RouteRequest'
            example:
              fromToken: '0x94b008aA00579c1307B0EF2c499aD98a8ce58e58'
              toToken: '0x8f3Cf7ad23Cd3CaDbD9735AFf958023239c6A063'
              fromChainId: '10'
              toChainId: '137'
              inputAmount: '2000000'
      responses:
        '200':
          description: Generated Routes
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/SwapRoute'
                  - items: {}
                    type: array
      security: []
components:
  schemas:
    RouteRequest:
      properties:
        fromToken:
          type: string
          example: '0x94b008aA00579c1307B0EF2c499aD98a8ce58e58'
        toToken:
          type: string
          example: '0x8f3Cf7ad23Cd3CaDbD9735AFf958023239c6A063'
        fromChainId:
          type: number
          format: double
        toChainId:
          type: number
          format: double
        inputAmount:
          type: string
      required:
        - fromToken
        - toToken
        - fromChainId
        - toChainId
        - inputAmount
      type: object
      additionalProperties: false
    SwapRoute:
      properties:
        id:
          type: string
        steps:
          items:
            $ref: '#/components/schemas/RouteStep'
          type: array
        estimatedTime:
          type: string
        totalFees:
          items:
            $ref: '#/components/schemas/Fee'
          type: array
      required:
        - id
        - steps
        - estimatedTime
        - totalFees
      type: object
      additionalProperties: false
    RouteStep:
      properties:
        protocol:
          type: string
          enum:
            - Across
            - Relay
            - Matcha
        fromToken:
          $ref: '#/components/schemas/Token'
        toToken:
          $ref: '#/components/schemas/Token'
        fromChainId:
          type: number
          format: double
        toChainId:
          type: number
          format: double
        inputAmount:
          type: string
        outputAmount:
          type: string
        estimatedTime:
          type: string
        fees:
          items:
            $ref: '#/components/schemas/Fee'
          type: array
      required:
        - protocol
        - fromToken
        - toToken
        - fromChainId
        - toChainId
        - inputAmount
        - outputAmount
        - estimatedTime
        - fees
      type: object
      additionalProperties: false
    Fee:
      properties:
        amount:
          type: string
        currency:
          $ref: '#/components/schemas/Token'
      required:
        - amount
        - currency
      type: object
      additionalProperties: false
    Token:
      properties:
        chain_to_address:
          $ref: '#/components/schemas/Record_number.string_'
        symbol:
          type: string
        decimals:
          type: number
          format: double
        chains:
          items:
            additionalProperties: false
            type: object
          type: array
        name:
          type: string
        logoURI:
          type: string
      required:
        - symbol
        - decimals
        - name
        - logoURI
      type: object
      additionalProperties: false
    Record_number.string_:
      properties: {}
      additionalProperties:
        type: string
      type: object
      description: Construct a type with a set of properties K of type T

````